classdef M8196A < AWG
    properties

    end

    methods

        function obj = M8196A()
            %This is a ready to use AWG simulation that resembles the
            %properties of the Keysighe M8196A % M8196A (92GBd) https://www.keysight.com/us/en/product/M8196A/92-gsa-s-arbitrary-waveform-generators.html
            arguments
                %options.bla = 1;
            end

            obj = obj@AWG();
            obj.dac_max         = 0.5;
            obj.dac_min         = -.5;
            obj.bit_resolution  = 5.5;

            obj.fdac            = 92e9;

            obj.lpf_active      = 1;

            obj.f_cutoff        = 32e9;
            obj.lpf_type        = filtertypes.gaussian;
            obj.H_lpf           = Filter('filtdegree',5,"f_cutoff",obj.f_cutoff,"fsamp",obj.kover*obj.fdac,"filterType",obj.lpf_type);


        end


    end


end